package org.gcube.portlets.gcubeckan.gcubeckandatacatalog.client.event;

import com.google.gwt.event.shared.GwtEvent;


/**
 * The Class PublishOnZenodoEvent.
 *
 * @author Francesco Mangiacrapa at ISTI-CNR (francesco.mangiacrapa@isti.cnr.it)
 * 
 * Dec 9, 2019
 */
public class PublishOnZenodoEvent extends GwtEvent<PublishOnZenodoEventHandler>{
	
	public static Type<PublishOnZenodoEventHandler> TYPE = new Type<PublishOnZenodoEventHandler>();
	private String uuidItem;

	/**
	 * Instantiates a new insert metadata event.
	 *
	 * @param uuidItem the uuid item
	 */
	public PublishOnZenodoEvent(String uuidItem) {
		this.uuidItem = uuidItem;
	}

	/**
	 * Gets the uuid item.
	 *
	 * @return the uuid item
	 */
	public String getUuidItem() {
		return uuidItem;
	}

	/* (non-Javadoc)
	 * @see com.google.gwt.event.shared.GwtEvent#getAssociatedType()
	 */
	@Override
	public Type<PublishOnZenodoEventHandler> getAssociatedType() {
		return TYPE;
	}

	/* (non-Javadoc)
	 * @see com.google.gwt.event.shared.GwtEvent#dispatch(com.google.gwt.event.shared.EventHandler)
	 */
	@Override
	protected void dispatch(PublishOnZenodoEventHandler handler) {
		handler.onPublishOnZenodo(this);
	}


}
